Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs	(revision 4343)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs	(revision 4368)
@@ -60,4 +60,5 @@
       Content.ExperimentChanged -= new EventHandler(Content_ExperimentChanged);
       Content.IsResultsPollingChanged -= new EventHandler(Content_IsResultsPollingChanged);
+      Content.RootJobItemChanged -= new EventHandler(Content_RootJobItemChanged);
       base.DeregisterContentEvents();
     }
@@ -74,4 +75,6 @@
       Content.IsResultsPollingChanged += new EventHandler(Content_IsResultsPollingChanged);
       Content.ExperimentChanged += new EventHandler(Content_ExperimentChanged);
+      Content.RootJobChanged += new EventHandler(Content_RootJobChanged);
+      Content.RootJobItemChanged += new EventHandler(Content_RootJobItemChanged);
     }
 
@@ -85,6 +88,7 @@
         experimentNamedItemView.Content = Content.Experiment;
         logView.Content = Content.Log;
-        jobListView.Content = Content.JobItems;
         Content_ExperimentChanged(this, EventArgs.Empty);
+        Content_RootJobChanged(this, EventArgs.Empty);
+        Content_RootJobItemChanged(this, EventArgs.Empty);
       }
     }
@@ -101,17 +105,25 @@
 
     protected override void OnClosed(FormClosedEventArgs e) {
-      if ((Content != null) && (Content.ExecutionState == ExecutionState.Started)) Content.Stop();
+      if (Content != null) {
+        if (Content.IsPollingResults) Content.StopResultPolling();
+      }
       base.OnClosed(e);
     }
 
     private void Content_ExperimentChanged(object sender, EventArgs e) {
-      experimentNamedItemView.Content = Content.Experiment;
-      if (Content.Experiment != null) {
-        runCollectionView.Content = Content.Experiment.Runs;
-        if (Content.ExecutionState == ExecutionState.Stopped) {
-          Content.Prepare();
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_ExperimentChanged), sender, e);
+      else {
+        experimentNamedItemView.Content = Content.Experiment;
+        if (Content.Experiment != null) {
+          runCollectionView.Content = Content.Experiment.Runs;
+          if (Content.ExecutionState == ExecutionState.Stopped) {
+            Content.Prepare();
+          }
+          Content_RootJobChanged(sender, e);
+          Content_RootJobItemChanged(sender, e);
         }
-      }
-      SetEnabledStateOfControls();
+        SetEnabledStateOfControls();
+      }
     }
 
@@ -173,4 +185,20 @@
         Invoke(new EventHandler(Content_IsResultsPollingChanged), sender, e);
       else {
+        SetEnabledStateOfControls();
+      }
+    }
+    void Content_RootJobChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_RootJobChanged), sender, e);
+      else {
+        jobConfigView.Content = Content.RootJob;
+        SetEnabledStateOfControls();
+      }
+    }
+    void Content_RootJobItemChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_RootJobItemChanged), sender, e);
+      else {
+        jobItemView.Content = Content.RootJobItem;
         SetEnabledStateOfControls();
       }
@@ -237,5 +265,5 @@
         startButton.Enabled = pauseButton.Enabled = stopButton.Enabled = resetButton.Enabled = reconnectButton.Enabled = disconnectButton.Enabled = false;
       } else {
-        startButton.Enabled = Content.ExecutionState == ExecutionState.Prepared;
+        startButton.Enabled = Content.Experiment != null && Content.ExecutionState == ExecutionState.Prepared;
         pauseButton.Enabled = false; // disabled for now
         stopButton.Enabled = Content.ExecutionState == ExecutionState.Started && Content.IsPollingResults;
@@ -245,7 +273,28 @@
 
         this.Locked = Content.ExecutionState == ExecutionState.Started && Content.IsPollingResults;
+        downloadExperimentButton.Enabled = Content.Experiment == null;
       }
     }
     #endregion
+
+    private void updateJobConfigTreeButton_Click(object sender, EventArgs e) {
+      Content.RefreshJobTree();
+    }
+
+    private void downloadExperimentButton_Click(object sender, EventArgs e) {
+      ProgressView progressView = new ProgressView(this, "Downloading Experiment...", true);
+      var invoker = new MethodInvoker(Content.LoadExperimentFromHive);
+      invoker.BeginInvoke((ar) => {
+        try {
+          invoker.EndInvoke(ar); // todo: das hier wird mehrfach aufgerufen... warum?
+        }
+        catch (Exception ex) {
+          throw ex;
+        }
+        finally {
+          progressView.Finish();
+        }
+      }, null);
+    }
   }
 }
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigListView.Designer.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigListView.Designer.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigListView.Designer.cs	(revision 4368)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.Hive.Experiment.Views {
+  partial class JobConfigListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigListView.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigListView.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigListView.cs	(revision 4368)
@@ -0,0 +1,38 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.Core;
+using HeuristicLab.MainForm;
+using HeuristicLab.Optimization;
+using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Hive.JobBase;
+
+namespace HeuristicLab.Hive.Experiment.Views {
+  [View("JobConfigListView")]
+  [Content(typeof(IItemList<IJob>), true)]
+  public partial class JobConfigListView : ItemListView<IJob> {
+
+    public JobConfigListView() {
+      InitializeComponent();
+      itemsGroupBox.Text = "Child Job Configuration";
+    }
+
+    protected override IJob CreateItem() {
+      return null;
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      this.addButton.Enabled = false;
+      this.moveDownButton.Enabled = false;
+      this.moveUpButton.Enabled = false;
+      this.removeButton.Enabled = false;
+    }
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigView.Designer.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigView.Designer.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigView.Designer.cs	(revision 4368)
@@ -0,0 +1,206 @@
+﻿namespace HeuristicLab.Hive.Experiment.Views {
+  partial class JobConfigView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.coresNeededLabel = new System.Windows.Forms.Label();
+      this.memoryNeededLabel = new System.Windows.Forms.Label();
+      this.memoryNeededTextBox = new System.Windows.Forms.TextBox();
+      this.coresNeededTextBox = new System.Windows.Forms.TextBox();
+      this.optimizerTypeLabel = new System.Windows.Forms.Label();
+      this.optimizerTypeTextBox = new System.Windows.Forms.TextBox();
+      this.computeInParallelCheckBox = new System.Windows.Forms.CheckBox();
+      this.computeInParallelLabel = new System.Windows.Forms.Label();
+      this.jobConfigListView = new HeuristicLab.Hive.Experiment.Views.JobConfigListView();
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.configurationTabPage = new System.Windows.Forms.TabPage();
+      this.childJobsTabPage = new System.Windows.Forms.TabPage();
+      this.tabControl.SuspendLayout();
+      this.configurationTabPage.SuspendLayout();
+      this.childJobsTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // coresNeededLabel
+      // 
+      this.coresNeededLabel.AutoSize = true;
+      this.coresNeededLabel.Location = new System.Drawing.Point(6, 25);
+      this.coresNeededLabel.Name = "coresNeededLabel";
+      this.coresNeededLabel.Size = new System.Drawing.Size(75, 13);
+      this.coresNeededLabel.TabIndex = 17;
+      this.coresNeededLabel.Text = "CoresNeeded:";
+      // 
+      // memoryNeededLabel
+      // 
+      this.memoryNeededLabel.AutoSize = true;
+      this.memoryNeededLabel.Location = new System.Drawing.Point(6, 47);
+      this.memoryNeededLabel.Name = "memoryNeededLabel";
+      this.memoryNeededLabel.Size = new System.Drawing.Size(85, 13);
+      this.memoryNeededLabel.TabIndex = 18;
+      this.memoryNeededLabel.Text = "MemoryNeeded:";
+      // 
+      // memoryNeededTextBox
+      // 
+      this.memoryNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.memoryNeededTextBox.Location = new System.Drawing.Point(107, 47);
+      this.memoryNeededTextBox.Name = "memoryNeededTextBox";
+      this.memoryNeededTextBox.Size = new System.Drawing.Size(658, 20);
+      this.memoryNeededTextBox.TabIndex = 9;
+      this.memoryNeededTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.memoryNeededTextBox_Validating);
+      this.memoryNeededTextBox.Validated += new System.EventHandler(this.memoryNeededTextBox_Validated);
+      // 
+      // coresNeededTextBox
+      // 
+      this.coresNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.coresNeededTextBox.Location = new System.Drawing.Point(107, 25);
+      this.coresNeededTextBox.Name = "coresNeededTextBox";
+      this.coresNeededTextBox.Size = new System.Drawing.Size(658, 20);
+      this.coresNeededTextBox.TabIndex = 8;
+      this.coresNeededTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.coresNeededTextBox_Validating);
+      this.coresNeededTextBox.Validated += new System.EventHandler(this.coresNeededTextBox_Validated);
+      // 
+      // optimizerTypeLabel
+      // 
+      this.optimizerTypeLabel.AutoSize = true;
+      this.optimizerTypeLabel.Location = new System.Drawing.Point(6, 3);
+      this.optimizerTypeLabel.Name = "optimizerTypeLabel";
+      this.optimizerTypeLabel.Size = new System.Drawing.Size(77, 13);
+      this.optimizerTypeLabel.TabIndex = 19;
+      this.optimizerTypeLabel.Text = "OptimizerType:";
+      // 
+      // optimizerTypeTextBox
+      // 
+      this.optimizerTypeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.optimizerTypeTextBox.Location = new System.Drawing.Point(107, 3);
+      this.optimizerTypeTextBox.Name = "optimizerTypeTextBox";
+      this.optimizerTypeTextBox.Size = new System.Drawing.Size(658, 20);
+      this.optimizerTypeTextBox.TabIndex = 20;
+      // 
+      // computeInParallelCheckBox
+      // 
+      this.computeInParallelCheckBox.AutoSize = true;
+      this.computeInParallelCheckBox.Location = new System.Drawing.Point(107, 74);
+      this.computeInParallelCheckBox.Name = "computeInParallelCheckBox";
+      this.computeInParallelCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.computeInParallelCheckBox.TabIndex = 21;
+      this.computeInParallelCheckBox.UseVisualStyleBackColor = true;
+      this.computeInParallelCheckBox.CheckedChanged += new System.EventHandler(this.computeInParallelCheckBox_CheckedChanged);
+      // 
+      // computeInParallelLabel
+      // 
+      this.computeInParallelLabel.AutoSize = true;
+      this.computeInParallelLabel.Location = new System.Drawing.Point(6, 74);
+      this.computeInParallelLabel.Name = "computeInParallelLabel";
+      this.computeInParallelLabel.Size = new System.Drawing.Size(95, 13);
+      this.computeInParallelLabel.TabIndex = 22;
+      this.computeInParallelLabel.Text = "ComputeInParallel:";
+      // 
+      // jobConfigListView
+      // 
+      this.jobConfigListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobConfigListView.Caption = "JobConfigListView";
+      this.jobConfigListView.Content = null;
+      this.jobConfigListView.Location = new System.Drawing.Point(3, 3);
+      this.jobConfigListView.Name = "jobConfigListView";
+      this.jobConfigListView.ReadOnly = false;
+      this.jobConfigListView.Size = new System.Drawing.Size(762, 387);
+      this.jobConfigListView.TabIndex = 23;
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.configurationTabPage);
+      this.tabControl.Controls.Add(this.childJobsTabPage);
+      this.tabControl.Location = new System.Drawing.Point(3, 3);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(776, 419);
+      this.tabControl.TabIndex = 24;
+      // 
+      // configurationTabPage
+      // 
+      this.configurationTabPage.Controls.Add(this.optimizerTypeLabel);
+      this.configurationTabPage.Controls.Add(this.coresNeededLabel);
+      this.configurationTabPage.Controls.Add(this.computeInParallelLabel);
+      this.configurationTabPage.Controls.Add(this.memoryNeededLabel);
+      this.configurationTabPage.Controls.Add(this.computeInParallelCheckBox);
+      this.configurationTabPage.Controls.Add(this.memoryNeededTextBox);
+      this.configurationTabPage.Controls.Add(this.optimizerTypeTextBox);
+      this.configurationTabPage.Controls.Add(this.coresNeededTextBox);
+      this.configurationTabPage.Location = new System.Drawing.Point(4, 22);
+      this.configurationTabPage.Name = "configurationTabPage";
+      this.configurationTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.configurationTabPage.Size = new System.Drawing.Size(768, 393);
+      this.configurationTabPage.TabIndex = 0;
+      this.configurationTabPage.Text = "Configuration";
+      this.configurationTabPage.UseVisualStyleBackColor = true;
+      // 
+      // childJobsTabPage
+      // 
+      this.childJobsTabPage.Controls.Add(this.jobConfigListView);
+      this.childJobsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.childJobsTabPage.Name = "childJobsTabPage";
+      this.childJobsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.childJobsTabPage.Size = new System.Drawing.Size(768, 393);
+      this.childJobsTabPage.TabIndex = 1;
+      this.childJobsTabPage.Text = "Child Jobs";
+      this.childJobsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // JobConfigView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tabControl);
+      this.Name = "JobConfigView";
+      this.Size = new System.Drawing.Size(782, 425);
+      this.tabControl.ResumeLayout(false);
+      this.configurationTabPage.ResumeLayout(false);
+      this.configurationTabPage.PerformLayout();
+      this.childJobsTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label coresNeededLabel;
+    private System.Windows.Forms.Label memoryNeededLabel;
+    private System.Windows.Forms.TextBox memoryNeededTextBox;
+    private System.Windows.Forms.TextBox coresNeededTextBox;
+    private System.Windows.Forms.Label optimizerTypeLabel;
+    private System.Windows.Forms.TextBox optimizerTypeTextBox;
+    private System.Windows.Forms.CheckBox computeInParallelCheckBox;
+    private System.Windows.Forms.Label computeInParallelLabel;
+    private JobConfigListView jobConfigListView;
+    private System.Windows.Forms.TabControl tabControl;
+    private System.Windows.Forms.TabPage configurationTabPage;
+    private System.Windows.Forms.TabPage childJobsTabPage;
+
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigView.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigView.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/JobConfigView.cs	(revision 4368)
@@ -0,0 +1,116 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.Hive.JobBase;
+using HeuristicLab.Persistence.Default.Xml;
+using System.IO;
+using HeuristicLab.Hive.Experiment.Jobs;
+
+namespace HeuristicLab.Hive.Experiment.Views {
+  [View("JobConfigView")]
+  [Content(typeof(IJob), true)]
+  public partial class JobConfigView : ItemView {
+    public new IJob Content {
+      get { return (IJob)base.Content; }
+      set {
+        if (base.Content != value) {
+          base.Content = value;
+        }
+      }
+    }
+
+    public JobConfigView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content != null) {
+        this.optimizerTypeTextBox.Text = Content.Name;
+        this.memoryNeededTextBox.Text = Content.MemoryNeeded.ToString();
+        this.coresNeededTextBox.Text = Content.CoresNeeded.ToString();
+        this.computeInParallelCheckBox.Checked = Content.ComputeInParallel;
+        this.jobConfigListView.Content = new JobList(Content.ChildJobs);
+        SetEnabledStateOfControls();
+      }
+    }
+
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+    }
+
+    protected override void DeregisterContentEvents() {
+      base.DeregisterContentEvents();
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      if (InvokeRequired) {
+        this.InvokeIfRequired(c => { SetEnabledStateOfControls(); });
+      } else {
+        base.SetEnabledStateOfControls();
+        this.optimizerTypeTextBox.ReadOnly = true;
+        this.computeInParallelCheckBox.Enabled = this.ReadOnly;
+        this.coresNeededTextBox.ReadOnly = this.ReadOnly;
+        this.memoryNeededTextBox.ReadOnly = this.ReadOnly;
+
+        if (Content != null) {
+          if (Content.IsParallelizable) {
+            this.computeInParallelCheckBox.Enabled = true;
+          } else {
+            this.computeInParallelCheckBox.Enabled = false;
+            this.computeInParallelCheckBox.Checked = false;
+          }
+        }
+
+        if (this.computeInParallelCheckBox.Checked) {
+          if (!tabControl.TabPages.ContainsKey(childJobsTabPage.Name)) {
+            tabControl.TabPages.Add(childJobsTabPage);
+          }
+        } else {
+          if (tabControl.TabPages.ContainsKey(childJobsTabPage.Name)) {
+            tabControl.TabPages.Remove(childJobsTabPage);
+          }
+        }
+      }
+    }
+
+    private void UpdateContent(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(UpdateContent), sender, e);
+      else {
+        if (Content != null) {
+          Content.CoresNeeded = int.Parse(this.coresNeededTextBox.Text);
+          Content.MemoryNeeded = int.Parse(this.memoryNeededTextBox.Text);
+          Content.ComputeInParallel = computeInParallelCheckBox.Checked;
+        }
+      }
+    }
+    
+    private void coresNeededTextBox_Validated(object sender, EventArgs e) {
+      UpdateContent(sender, e);
+    }
+
+    private void coresNeededTextBox_Validating(object sender, CancelEventArgs e) {
+    }
+
+    private void memoryNeededTextBox_Validated(object sender, EventArgs e) {
+      UpdateContent(sender, e);
+    }
+
+    private void memoryNeededTextBox_Validating(object sender, CancelEventArgs e) {
+    }
+
+    void computeInParallelCheckBox_CheckedChanged(object sender, System.EventArgs e) {
+      UpdateContent(sender, e);
+      SetEnabledStateOfControls();
+    }
+
+  }
+}
